int tt = 30;
void setup()
{
  Serial.begin(9600);
  tone(9,tt);
}

int bb;
void loop(){
  if (0 < Serial.available() )
  {
    bb = Serial.read();
    if (bb == '+')  {
       tt +=5;
       tone(9,tt);
    }
    else {
      if (bb == '-') {
        tt-=5;
        tone(9,tt);
    }
    }
  }

}
